/* ############## WZP Fullscreen Menue ############## */
if (!window.$wzp) {window.$wzp={};}

window.$wzp.fsMenu = (sel) => {
    if (!sel) return;
    const wrapper = document.querySelector(sel + '_wrapper');
    if (!wrapper) return;
    
    document.body.insertBefore(wrapper, document.body.firstElementChild.nextElementSibling);
    wrapper.classList.add('zpInjectedContent');
    
    const menu = wrapper.querySelector(sel);
    const btn = wrapper.querySelector(sel + '_btn');
    const bg = wrapper.querySelector(sel + '__bgImage');
    
    btn.addEventListener('click', () => menu.classList.add('wzp_fullscreenmenu--open'));
    
    const links = menu.querySelectorAll('ul a');
    links.forEach((l) => {
        /* Close the menu onClick */
        l.addEventListener('click', () => {
            menu.classList.remove('wzp_fullscreenmenu--open');
        });
        
        l.addEventListener('mouseover', () => {
            const bg = menu.querySelector('.wzp_fullscreenmenu_bg[data-wzp-item="' + (l.getAttribute('data-wzp-item') ?? -1) + '"]');
            if (!bg) return;
            bg.classList.add('wzp_fullscreenmenu_bg--show');
        });
        l.addEventListener('mouseleave', () => {
            const bg = menu.querySelector('.wzp_fullscreenmenu_bg[data-wzp-item="' + (l.getAttribute('data-wzp-item') ?? -1) + '"]');
            if (!bg) return;
            bg.classList.remove('wzp_fullscreenmenu_bg--show');
        });
    });
    
    menu.querySelector('#closex').addEventListener('click', () => menu.classList.remove('wzp_fullscreenmenu--open'));
    if (bg.hasAttribute('data-wzp-close')) {
        bg.addEventListener('click', () => menu.classList.remove('wzp_fullscreenmenu--open'));
    }
    
    document.addEventListener('keydown', (e) => {
        if (e.key === 'Escape') {
            menu.classList.remove('wzp_fullscreenmenu--open');
        }
    });
};

document.addEventListener('DOMContentLoaded', () => {
    window.$wzp.fsMenu('#wzp_fullscreenmenu');
});
/* ############## WZP Fullscreen Menue ############## */